# Manoku

Manage your Heroku configuration across multiple applications with ease.

## Installation

```
$ gem install manoku
```

```
$ manoku
```

## Usage

### New

Set up an entirely new Manoku management project.

```
$ manoku new <NAME>
```

This will create a new directory.

### Init

Initialize Manoku inside an existing directory.

```
$ manoku init
```

This will create the following directory structure:

```
.
.gitignore
└── apps
    ├── .gitkeep
└── .git
```

To add a configuration file for the "manoku" Heroku application, you need to add `manoku.json` in the `/apps` folder.

### Add Heroku API key

To operate with Manoku you need a [Heroku Platform API key](https://github.com/heroku/platform-api#a-real-world-example).

```
$ manoku add_key <KEY>
```

This key will be stored in `~/.manoku`

### Deploy

This will deploy all configuration variables to all the applications in your `/apps` folder.

```
$ manoku deploy
```

### Download

Download an existing configuration to your application.

```
$ manoku download <APP>
```

This will create a new json file in the apps directory.

## Contributing

1. Fork it ( https://github.com/[my-github-username]/manoku/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request
